Subject: RE: [Sip] SIP and MPLS

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 30 Apr 2002 18:11:40 -0400

At the moment, the IETF is treating MPLS as a half-baked cat let out of
the bag, and is trying to put it back in the bag, without success.
Asking to do something involving SIP and MPLS in the same breath is
likely to bring the "layer violation" police out in force.

However:

IF you could bring MPLS to an endpoint
AND you wanted to make the media go directly over an MPLS lsp
OR you used a media relay which, say, took in IP/UDP/RTP and
	pushed that into an LSP

THEN
You could consider putting together an SDP extension along the lines
of the ATM extension, and then you could specify how to create
an lsp to handle the media flow.  No changes to SIP would be required.
I doubt there is any benefit to doing anything with the signalling.

The label stacking mechanism of MPLS could conceivably be put to good
use in aggregating media flows that needed similar QoS handling.

While I think this is an interesting line of inquiry, I suspect:
	a) MPLS networks, today, don't offer any advantage vis a vis
		SIP/multimedia streams that IP networks don't already have
	b) You aren't going to see MPLS to the desktop for a LONG time

I do still wonder if a site-edge relay that mapped streams to lsps,
wouldn't be an interesting architecture.

Brian

> -----Original Message-----
> From: chen Zhang [mailto:[email-masked]]
> Sent: Tuesday, April 30, 2002 12:05 PM
> To: [email-masked]
> Subject: [Sip] SIP and MPLS
> 
> 
> Hi,
> SIP is an application layer protocol and origins as a large 
> scale multiparty 
> conferencing protocol.
> MPLS is an advanced forwarding scheme.
> 
> Is it possible to join the SIP and MPLS? If it is, we can get
> following benefits:
> 1. using SIP to set up the LSP.
> 2. providing the higher quality in the Internet.
> 
> IF you have any comments about that, Please let me know.
> 
> Thank you for your attention
> 
> Best regards
> 
> Chen
> 
> 
> 
> _________________________________________________________________
> Send and receive Hotmail on your mobile device: http://mobile.msn.com
> 
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip